Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1982417 - Optimal LUKS Encryption Sector Size
Summary: Optimal LUKS Encryption Sector Size
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Kozina
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F35Changes
TreeView+ depends on / blocked
 
Reported: 2021-07-14 19:13 UTC by Ben Cotton
Modified: 2021-11-02 16:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-02 16:03:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2021-07-14 19:13:10 UTC
This is a tracking bug for Change: Optimal LUKS Encryption Sector Size
For more details, see: https://fedoraproject.org/wiki/Changes/LUKSEncryptionSectorSize

Autodetect optimal encryption sector size during Fedora installation with LUKS/dm-crypt encryption. On devices with 4k (physical) sector size, this will make sure we use 4096 sector size which is optimal for these devices.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Vojtech Trefny 2021-07-19 12:40:25 UTC
Moving to QA, new builds with required changes for both cryptsetup (cryptsetup-2.4.0~rc0-2.fc35) and libblockdev (libblockdev-2.25-4.fc35) in are rawhide now.

Comment 2 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.


Note You need to log in before you can comment on or make changes to this bug.